Problème d'installation de ESPHome dev

J’essaie depuis hier désespérément d’installer ESPHome (dev) pour pouvoir utiliser le composant téléinfo.

Si quelqu’un à une idée :

  • pour retrouver l’intégralité des logs de ESPHome (dev)
  • pour corriger mon problème à l’installation

Ce que j’ai essayé sans succès :

  1. désinstallé ESPHome

  2. désinstallé ESPHome (dev)

  3. supprimé des fichier esphome.xxxxxx qui étaient dans .storage

  4. rebooter le RPi

  5. réinstallé ESPHome => un message de timeout sur l’ihm mais le download continue (surveillé via mon interface freebox)

  6. supprimé le répertoire config/esphome

  7. lancé ESPHome en appuyant sur START => logs OK

  8. installé ESPHome (dev) =>

    logs Supervisor
    20-12-19 08:30:34 INFO (MainThread) [supervisor.addons] 
    Creating Home Assistant add-on data folder /data/addons/data/15ef4d2f_esphome-dev
    20-12-19 08:30:34 INFO (SyncWorker_2) [supervisor.docker.addon] Starting build for 15ef4d2f/armv7-addon-esphome-dev:dev
    20-12-19 08:30:36 INFO (SyncWorker_2) [supervisor.docker.addon] Build 15ef4d2f/armv7-addon-esphome-dev:dev done
    20-12-19 08:30:36 INFO (MainThread) [supervisor.addons] Add-on '15ef4d2f_esphome-dev' successfully installed
    
  9. lancé ESPHome en appuyant sur START =>

    logs ESPHome (dev)
        During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "/usr/lib/python3/dist-packages/setuptools/sandbox.py", line 154, in save_modules
        yield saved
      File "/usr/lib/python3/dist-packages/setuptools/sandbox.py", line 195, in setup_context
        yield
      File "/usr/lib/python3/dist-packages/setuptools/sandbox.py", line 250, in run_setup
        _execfile(setup_script, ns)
      File "/usr/lib/python3/dist-packages/setuptools/sandbox.py", line 45, in _execfile
        exec(code, globals, locals)
      File "/tmp/easy_install-g8rsv0z3/cffi-1.14.4/setup.py", line 242, in <module>
      File "/usr/lib/python3/dist-packages/setuptools/__init__.py", line 129, in setup
        return distutils.core.setup(**attrs)
      File "/usr/lib/python3.6/distutils/core.py", line 163, in setup
        raise SystemExit("error: " + str(msg))
    SystemExit: error: command 'arm-linux-gnueabihf-gcc' failed with exit status 1
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "/usr/lib/python3/dist-packages/setuptools/command/easy_install.py", line 1163, in run_setup
        run_setup(setup_script, args)
      File "/usr/lib/python3/dist-packages/setuptools/sandbox.py", line 253, in run_setup
        raise
      File "/usr/lib/python3.6/contextlib.py", line 99, in __exit__
        self.gen.throw(type, value, traceback)
      File "/usr/lib/python3/dist-packages/setuptools/sandbox.py", line 195, in setup_context
        yield
      File "/usr/lib/python3.6/contextlib.py", line 99, in __exit__
        self.gen.throw(type, value, traceback)
      File "/usr/lib/python3/dist-packages/setuptools/sandbox.py", line 166, in save_modules
        saved_exc.resume()
      File "/usr/lib/python3/dist-packages/setuptools/sandbox.py", line 141, in resume
        six.reraise(type, exc, self._tb)
      File "/usr/lib/python3/dist-packages/setuptools/_vendor/six.py", line 685, in reraise
        raise value.with_traceback(tb)
      File "/usr/lib/python3/dist-packages/setuptools/sandbox.py", line 154, in save_modules
        yield saved
      File "/usr/lib/python3/dist-packages/setuptools/sandbox.py", line 195, in setup_context
        yield
      File "/usr/lib/python3/dist-packages/setuptools/sandbox.py", line 250, in run_setup
        _execfile(setup_script, ns)
      File "/usr/lib/python3/dist-packages/setuptools/sandbox.py", line 45, in _execfile
        exec(code, globals, locals)
      File "/tmp/easy_install-g8rsv0z3/cffi-1.14.4/setup.py", line 242, in <module>
      File "/usr/lib/python3/dist-packages/setuptools/__init__.py", line 129, in setup
        return distutils.core.setup(**attrs)
      File "/usr/lib/python3.6/distutils/core.py", line 163, in setup
        raise SystemExit("error: " + str(msg))
    SystemExit: error: command 'arm-linux-gnueabihf-gcc' failed with exit status 1
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "<string>", line 1, in <module>
      File "/tmp/pip-build-_gzf95xj/cryptography/setup.py", line 121, in <module>
        "src/_cffi_src/build_padding.py:ffi",
      File "/usr/lib/python3/dist-packages/setuptools/__init__.py", line 128, in setup
        _install_setup_requires(attrs)
      File "/usr/lib/python3/dist-packages/setuptools/__init__.py", line 123, in _install_setup_requires
        dist.fetch_build_eggs(dist.setup_requires)
      File "/usr/lib/python3/dist-packages/setuptools/dist.py", line 513, in fetch_build_eggs
        replace_conflicting=True,
      File "/usr/lib/python3/dist-packages/pkg_resources/__init__.py", line 774, in resolve
        replace_conflicting=replace_conflicting
      File "/usr/lib/python3/dist-packages/pkg_resources/__init__.py", line 1057, in best_match
        return self.obtain(req, installer)
      File "/usr/lib/python3/dist-packages/pkg_resources/__init__.py", line 1069, in obtain
        return installer(requirement)
      File "/usr/lib/python3/dist-packages/setuptools/dist.py", line 580, in fetch_build_egg
        return cmd.easy_install(req)
      File "/usr/lib/python3/dist-packages/setuptools/command/easy_install.py", line 698, in easy_install
        return self.install_item(spec, dist.location, tmpdir, deps)
      File "/usr/lib/python3/dist-packages/setuptools/command/easy_install.py", line 724, in install_item
        dists = self.install_eggs(spec, download, tmpdir)
      File "/usr/lib/python3/dist-packages/setuptools/command/easy_install.py", line 909, in install_eggs
        return self.build_and_install(setup_script, setup_base)
      File "/usr/lib/python3/dist-packages/setuptools/command/easy_install.py", line 1177, in build_and_install
        self.run_setup(setup_script, setup_base, args)
      File "/usr/lib/python3/dist-packages/setuptools/command/easy_install.py", line 1165, in run_setup
        raise DistutilsError("Setup script exited with %s" % (v.args[0],))
    distutils.errors.DistutilsError: Setup script exited with error: command 'arm-linux-gnueabihf-gcc' failed with exit status 1
    
        =============================DEBUG ASSISTANCE=============================
        If you are seeing a compilation error please try the following steps to
        successfully install cryptography:
        1) Upgrade to the latest pip and try again. This will fix errors for most
           users. See: https://pip.pypa.io/en/stable/installing/#upgrading-pip
        2) Read https://cryptography.io/en/latest/installation.html for specific
           instructions for your platform.
        3) Check our frequently asked questions for more information:
           https://cryptography.io/en/latest/faq.html
        =============================DEBUG ASSISTANCE=============================
        If you are seeing a compilation error please try the following steps to
        successfully install cryptography:
        1) Upgrade to the latest pip and try again. This will fix errors for most
           users. See: https://pip.pypa.io/en/stable/installing/#upgrading-pip
        2) Read https://cryptography.io/en/latest/installation.html for specific
           instructions for your platform.
        3) Check our frequently asked questions for more information:
           https://cryptography.io/en/latest/faq.html
        =============================DEBUG ASSISTANCE=============================
    
    
    ----------------------------------------
    Command "python setup.py egg_info" failed with error code 1 in /tmp/pip-build-_gzf95xj/cryptography/
    [09:35:09] FATAL: Failed installing esphome pinned version.
    [cont-init.d] 30-esphome.sh: exited 1.
    [cont-finish.d] executing container finish scripts...
    [cont-finish.d] 99-message.sh: executing... 
    -----------------------------------------------------------
                    Oops! Something went wrong.
    
     We are so sorry, but something went terribly wrong when
     starting or running this add-on.
     
     Be sure to check the log above, line by line, for hints.
    -----------------------------------------------------------
    [cont-finish.d] 99-message.sh: exited 0.
    [cont-finish.d] done.
    [s6-finish] waiting for services.
    [s6-finish] sending all processes the TERM signal.
    

Cela est normal car c’est une version Dev et elle est non fonctionnelle depuis un petit moment maintenant et la version béta également ! Seule la version released fonctionne pour le moment ! J’utilisais moi-même la version dev pour le support du NFC tout récent mais là je ne peux plus pour le moment recompiler le sketch car j’ai dû repasser en version normale ! Il va falloir être patient ou donner un coup de main à Otto le développeur d’ESPHome qui est un peu débordé :wink:

1 J'aime